--*********************************************************************************


--* This file is part of the RIBit Renderman(tm) exporter for max

--* By Ofer Zelichover
--* 2004/3/1 (c)
--* based in part on kcman by Rudy Cortes

--*********************************************************************************

plugin modifier mo_RIBit_RIBBox
	name:"RIBit RIB-Box"
	category:"RIBit"
	classID:#(0x647ca848, 0x4df498ca)
	version:1
(

	parameters RIBit_RIBBox rollout:ro_RIBit_RIBBox
	(

		RIBCode type:#string default:"" ui:edRIBCode
	)
	

	rollout ro_RIBit_RIBBox "RIBit RIB-Box"
	(
		rollout ro_RIBit_RIBBox_edit "RIB-Box Edit"
		(
			editText edRIBCode "" width:400 height:200 pos:[5,5] text:ro_RIBit_RIBBox.edRIBCode.text
			button bnCancel "Cancel" width:60 height:16 across:2 
			button bnOK "OK" width:60 height:16
			
			on ro_RIBit_RIBBox_edit close do (
				local lines = filterString edRIBCode.text "\n\r"
				local str = lines[1]
				for i = 2 to lines.count do 
					str += "\n" + lines[i]
				ro_RIBit_RIBBox.edRIBCode.text = str
			)
			
			on bnCancel pressed do (
				edRIBCode.text = ro_RIBit_RIBBox.edRIBCode.text
				destroyDialog ro_RIBit_RIBBox_edit
			)
				
			on bnOK pressed do (
				destroyDialog ro_RIBit_RIBBox_edit
			)
		)

		editText edRIBCode "" width:1 height:1 visible:false
		button bnEdit "Edit..."
		on bnEdit pressed do (
			createDialog ro_RIBit_RIBBox_edit width:410
		)
	)	

) -- end mo_RIBit_Geometry modifier




	

