--*********************************************************************************


--* This file is part of the RIBit Renderman(tm) exporter for max

--* By Ofer Zelichover
--* 2004/3/1 (c)
--* based in part on kcman by Rudy Cortes

--*********************************************************************************

plugin modifier mo_RIBit_Shaders
	name:"RIBit Rendering"
	category:"RIBit"
	classID:#(0x5511d948, 0x52866c3a)
	version:1
(

	parameters RIBit_Attributes rollout:ro_RIBit_Attributes
	(
		Color	type:#color ui:cpColor default:[125,125,125]
		Opacity type:#color ui:cpOpacity default:[255,255,255]
		Surface  type:#string ui:edSurface default:"matte"
		Displacement  type:#string ui:edDisplacement default:""
		Atmosphere type:#string ui:edAtmosphere default:""	
		ShadingInterpolation type:#string ui:dlShadingInterpolation default:"smooth"
		
		on Color set val do 
			if $ != undefinec then
				$.wirecolor = val
		
	)
	
	
	rollout ro_RIBit_Attributes "RIBit Attributes"
	(
		group "Rendering Attributes" (
			colorpicker cpColor "Color        " align:#right modal:false title:"Object Color"
			colorpicker cpOpacity "Opacity       " align:#right modal:false title:"Object Opacity"
			edittext edSurface "Surface  " align:#right width:125
			edittext edDisplacement "Displ  " align:#right width:110
			edittext edAtmosphere "Atmos  " align:#right width:115	
			dropDownList dlShadingInterpolation "Shad Interp" align:#left items:#("smooth","constant")
		)	
	)	

) -- end mo_RIBit_Geometry modifier




	

