--*********************************************************************************


--* This file is part of the RIBit Renderman(tm) exporter for max

--* By Ofer Zelichover
--* 2004/3/1 (c)
--* based in part on kcman by Rudy Cortes

--*********************************************************************************

(

	
global s_RIBit_Functions
	global s_RIBit_Parameter
	global s_RIBit_Option
	global s_RIBit_Attribute
	global s_RIBit_Transform
	global s_RIBit_Settings
	global s_RIBit_Display
	global s_RIBit_Camera
	global s_RIBit_Frame
	global s_RIBit_World
	global s_RIBit_Light
	global s_RIBit_Shadowmap
	global s_RIBit_Geometry
	global s_RIBit_Scene
	
	local baseDir = getDir #scripts + "\\\RIBit\\"


	-- load the structs

	filein (baseDir + "Structs\\s_RIBit_Functions.ms")
	filein (baseDir + "Structs\\s_RIBit_Option.ms")
	filein (baseDir + "Structs\\s_RIBit_Transform.ms")
	
filein (baseDir + "Structs\\s_RIBit_Settings.ms")
	
filein (baseDir + "Structs\\s_RIBit_Display.ms"
)
	filein (baseDir + "Structs\\s_RIBit_Camera.ms")
	filein (baseDir + "Structs\\s_RIBit_Frame.ms")
	filein (baseDir + "Structs\\s_RIBit_World.ms")
	filein (baseDir + "Structs\\s_RIBit_Light.ms")
	filein (baseDir + "Structs\\s_RIBit_Geometry.ms")
	filein (baseDir + "Structs\\s_RIBit_Scene.ms")
	
-- load the modifiers
	filein (baseDir + "Modifiers\\mo_RIBit_Geometry.ms")
	filein (baseDir + "Modifiers\\mo_RIBit_Shaders.ms")
	
filein (baseDir + "Modifiers\\mo_RIBit_RIBBox.ms")
)

